import { ComposeOutputTypeDefinition, ComposeInputTypeDefinition } from 'graphql-compose';
import { Param } from './AwsParam';
export declare type ShapesMap = {
    [name: string]: Param;
};
export declare class AwsShapes<TContext> {
    shapes: ShapesMap;
    prefix: string;
    shapesInput: {
        [name: string]: ComposeInputTypeDefinition;
    };
    shapesOutput: {
        [name: string]: ComposeOutputTypeDefinition<TContext>;
    };
    constructor(shapes: ShapesMap, prefix: string);
    getInputShape(name: string): ComposeInputTypeDefinition;
    getOutputShape(name: string): ComposeOutputTypeDefinition<TContext>;
}
//# sourceMappingURL=AwsShapes.d.ts.map