import { ObjectTypeComposer } from 'graphql-compose';
import type { GraphQLFieldConfig } from 'graphql-compose/lib/graphql';
export declare type ServiceMetadataConfig = {
    apiVersion: string;
    endpointPrefix: string;
    globalEndpoint: string;
    serviceAbbreviation: string;
    serviceFullName: string;
    signatureVersion: string;
    uid: string;
};
export declare class AwsServiceMetadata<TContext> {
    metadata: ServiceMetadataConfig;
    tc?: ObjectTypeComposer<any, TContext>;
    constructor(metadata: ServiceMetadataConfig);
    getPrefix(): string;
    getDescription(): string;
    getTypeComposer(): ObjectTypeComposer<any, TContext>;
    getFieldConfig(): GraphQLFieldConfig<any, any>;
}
//# sourceMappingURL=AwsServiceMetadata.d.ts.map